Subject: bug#45631: 27.1; regression: message-forward-ignored-headers no longer applies when forwarding as MIME

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 21 Jan 2021 16:46:48 +0100

Daniel Kahn Gillmor <[email-masked]> writes:

> On Wed 2021-01-20 17:17:55 +0100, Lars Ingebrigtsen wrote:
>> It's just surprising behaviour -- that Message will strip a completely
>> different set of headers based on what forwarding method is used.
>
> I agree that the current behavior is already surprising.
>
> I think it reduces the amount of surprise to have the blocklist applied
> when forwarding as MIME.

The blocklist isn't very extensive -- the allowlist should also be
applied when forwarding as MIME, but that's not straightforward as
things are now.

I've now introduced the new variable, and headers seem to be
removed/kept in all the combinations of the variables now, I hope.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no